-- IndustrialTest
-- Copyright (C) 2023 mrkubax10

-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

local S=minetest.get_translator("industrialtest")

local definition={
	description=S("Copper Cable"),
	tiles={"industrialtest_copper_cable.png"},
	on_construct=function(pos)
		local meta=minetest.get_meta(pos)
		industrialtest.api.addPowerStorage(meta,390,390,"aaaaaa")
	end,
	on_timer=function(pos)
		local meta=minetest.get_meta(pos)
		local afterFlow,_=industrialtest.api.powerFlow(pos)
		meta:set_string("industrialtest.ioConfig","aaaaaa")
		if not industrialtest.api.isFullyCharged(meta) then
			industrialtest.api.triggerNeighbours(pos)
		end
		return (afterFlow and meta:get_int("industrialtest.api.powerAmount")>0)
	end,
	_industrialtest_hasPowerInput=true,
	_industrialtest_onPowerFlow=function(pos,side)
		local meta=minetest.get_meta(pos)
		industrialtest.api.changeIoConfig(meta,side,"i")
		minetest.get_node_timer(pos):start(industrialtest.updateDelay)
	end
}
if industrialtest.mtgAvailable then
	definition.groups={
		cracky=1,
		level=1,
		oddly_breakable_by_hand=1
	}
	definition.sound=default.node_sound_metal_defaults()
elseif industrialtest.mclAvailable then
	definition.groups={pickaxey=1}
	definition._mcl_blast_resistance=1
	definition._mcl_hardness=0.5
end
minetest.register_node("industrialtest:copper_cable",definition)
